Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 193280 - Generated configuration is not suitable for Red Hat's own use
Summary: Generated configuration is not suitable for Red Hat's own use
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: authconfig
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-05-26 19:26 UTC by Pete Zaitcev
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: authconfig-5.3.0-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-17 13:21:26 UTC


Attachments (Terms of Use)
Working krb5.conf (deleted)
2006-05-26 19:26 UTC, Pete Zaitcev
no flags Details

Description Pete Zaitcev 2006-05-26 19:26:44 UTC
Description of problem:

After a run of system-config-authentication, GSSAPI does not work for CVS
and fetchmail.

Version-Release number of selected component (if applicable):

authconfig-5.2.3-2

How reproducible:

100%

Steps to Reproduce:
1. Run system-config-authentication
2. Specify kerberos.corp.redhat.com for DC and Admin Server
3. Run kinit (it succeeds)
4. Run a test application (cvs -d :gserever:cvs.devel.redhat.com co bash)
  
Actual results:

Authentication fails

Expected results:

Authentication succeeds

Additional info:

Hand-editing is required. Adjusting default_domain in [realms] and
having [domain_realm] with redhat.com seems to help. Minimally edited
krb5.conf is to be attached.

I am of the opinion that we ought to eat our own dogfood.

Comment 1 Pete Zaitcev 2006-05-26 19:26:44 UTC
Created attachment 130047 [details]
Working krb5.conf

Comment 2 Tomas Mraz 2006-05-29 13:12:39 UTC
Actually adding the [domain_realm] mapping should be enough.
I think it's safe to add.


Note You need to log in before you can comment on or make changes to this bug.